#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed',
    '--PETSC_ARCH=arm-linux-gnueabihf-complex-debug',
    '--build=arm-linux-gnueabihf',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/arm-linux-gnueabihf',
    '--libexecdir=${prefix}/lib/arm-linux-gnueabihf',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/3.7.7/arm-linux-gnueabihf-complex-debug',
    '--shared-library-extension=_complex',
    '--sysconfdir=/etc',
    '--useThreads=0',
    '--with-blas-lib=-lblas',
    '--with-debugging=1',
    '--with-dependency-tracking=0',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-fortran-interfaces=1',
    '--with-hdf5-dir=/usr/lib/arm-linux-gnueabihf/hdf5/openmpi',
    '--with-hdf5=1',
    '--with-lapack-lib=-llapack',
    '--with-maintainer-mode=0',
    '--with-mpi-dir=/usr/lib/arm-linux-gnueabihf/openmpi',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps -lzmumps -lsmumps -lcmumps -lmumps_common -lpord',
    '--with-mumps=1',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch',
    '--with-ptscotch-lib=-lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-openmpi',
    '--with-scalapack=1',
    '--with-scalar-type=complex',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-spooles-include=/usr/include/spooles',
    '--with-spooles-lib=-lspooles',
    '--with-spooles=1',
    '--with-suitesparse-include=/usr/include/suitesparse',
    '--with-suitesparse-lib=-lumfpack -lamd -lcholmod -lklu',
    '--with-suitesparse=1',
    '--with-superlu-include=/usr/include/superlu',
    '--with-superlu-lib=-lsuperlu',
    '--with-superlu=1',
    'CFLAGS=-g -O2 -fdebug-prefix-map=/build/petsc-E9SmdI/petsc-3.7.7+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2',
    'CXXFLAGS=-g -O2 -fdebug-prefix-map=/build/petsc-E9SmdI/petsc-3.7.7+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'FCFLAGS=-g -O2 -fdebug-prefix-map=/build/petsc-E9SmdI/petsc-3.7.7+dfsg1=. -fstack-protector-strong -fPIC',
    'FFLAGS=-g -O2 -fdebug-prefix-map=/build/petsc-E9SmdI/petsc-3.7.7+dfsg1=. -fstack-protector-strong -fPIC',
    'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro -fPIC',
    'MAKEFLAGS=w',
    'PETSC_DIR=/build/petsc-E9SmdI/petsc-3.7.7+dfsg1',
  ]
  configure.petsc_configure(configure_options)
